Subject: Re: digitMapDescriptor

From: Tom-PT Taylor <[email-masked]>
Date: Wed, 18 Aug 1999 09:45:00 -0500

We have to think about what we specify in terms of the impact on MGC
fault-handling logic.  It seems to me that the typical MGC response to a
transaction failure will be to take down the call and log the fault -- I'd
be surprised if implementors could afford to put much effort into the
development of software to perform intelligent analysis of failed
transactions in real time.  If I'm right, if the MG doesn't support digit
maps (either as a transient or a permanent condition), and if the MGC is
unaware of this, calls will fail continuously.  My conclusion is that there
has to be some kind of mechanism whereby the MG can advise the MGC about its
current capabilities as a general matter, and negotiate digit handling in
particular.

Digit handling would continue to work if we adopt the rule Michael has
suggested, so that the MGC logic includes the particular knowledge that
non-acceptance of a digit map implies digit-by-digit reporting mode.  This
still leaves the rest of the transaction beyond the point of failure to be
reissued -- not necessarily a trivial exercise for the MGC.  I think things
would work a lot better if the MG and MGC agreed at startup time on whether
the digit maps or digit-by-digit reporting will be used.

> -----Original Message-----
> From: Brian Rosen [SMTP:[email-masked]]
> Sent: Wednesday, August 18, 1999 8:35 AM
> To:   [email-masked]
> Subject:      Re: digitMapDescriptor
>
> This kind of error is a software fault in the MGC, or possibly
> some kind of provisioning fault.  You don't know if the MGC
> is able to deal with digit by digit events.  I'd think it should be
> considered serious, and rejected out of hand.
>
> Brian
>
> > -----Original Message-----
> > From: Michael Thomas [mailto:[email-masked]]
> > Sent: Tuesday, August 17, 1999 7:51 PM
> > To: Brian Rosen
> > Cc: [email-masked]
> > Subject: Re: digitMapDescriptor
> >
> >
> > Brian Rosen writes:
> >  > I don't think this is right.  If you can't store the digitmap,
> >  > it's an error, and the transaction is in error (although
> >  > we are arguing about transaction syntax at the moment).
> >  > If the digitmap defined is used in the EventDescriptor of
> >  > the Add, it's definitely a problem.
> >
> >    One could take the stance that a digit map is
> > just an optimization (which it is) and that when a
> > collect according to (unspecified, errored) digit
> > map is encountered, the MG should issue a warning,
> > but go into digit by digit send mode. Thus an MG
> > which had some sort of resource limitation on
> > digit maps would still work, albeit not as
> > efficiently.
> >
> >               Mike
> >